# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ru-slow/version'

Gem::Specification.new do |spec|
  spec.name          = 'ru-slow'
  spec.version       = RuSlow::VERSION
  spec.authors       = ['Seth Vargo']
  spec.email         = ['sethvargo@gmail.com']
  spec.description   = 'A Ruby library for profiling all your requires and ' \
                       'identifying slow libraries in you application.'
  spec.summary       = 'Why is your Ruby app so slow?'
  spec.homepage      = 'https://github.com/sethvargo/ru-slow'
  spec.license       = 'Apache 2.0'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  # Development dependencies
  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'rake',    '~> 10.1'
end
