RuSlow
======
Why is your Ruby application so slow? RuSlow (all puns intended) is a tiny
Ruby application that benchmarks Ruby requires (both `require` and
`require_relative`) inside your application making it easy to identify slow
spots and code smells.

In short, RuSlow is way to find the slow points and benchmarks in your Ruby
application.


Installation
------------
Add this line to your application's Gemfile:

```ruby
gem 'ru-slow'
```


Usage
-----
Require the file at the very top of your application:

```ruby
require 'ru-slow'
```

You **must** have a `Gemfile` in the root of your project in order for
ru-slow to find the correct project directory.


Contributing
------------
1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request


License & Authors
-----------------
- Seth Vargo (sethvargo@gmail.com)

```text
Copyright 2013, Seth Vargo <sethvargo@gmail.com>

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```
